Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158398 - Firstboot-created user should be added to wheel group
Summary: Firstboot-created user should be added to wheel group
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: firstboot
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chris Lumens
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-21 15:27 UTC by Aaron Kurtz
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-23 17:27:16 UTC


Attachments (Terms of Use)
Patches firstboot so adduser includes -G wheel (deleted)
2005-05-21 15:27 UTC, Aaron Kurtz
no flags Details | Diff

Description Aaron Kurtz 2005-05-21 15:27:32 UTC
Description of problem:
The point of adding a user during firstboot is to encourage people to not login
as root. Sudo is a helpful tool for administration, but is not setup by default.
It would be helpful if the firstboot added user was added to wheel to enable
sudo use. Foresight Linux, for example, does exactly this in firstboot.
http://lists.bizrace.com/pipermail/desktop-commits/2005-February/000596.html
About the only circumstances I can think of where this would not be a good thing
would be if firstboot was used to create a non-administrative user while the
root admin simply used root. I have to imagine the more common use is a desktop
user setting up his account and then su-ing to everything.

Version-Release number of selected component (if applicable):
firstboot-1.3.39-3

How reproducible:
Try "sudo Command" as newly added user.
  
Actual results:
Sudo fails.

Expected results:
Newly added user is able to use sudo.

Comment 1 Aaron Kurtz 2005-05-21 15:27:32 UTC
Created attachment 114673 [details]
Patches firstboot so adduser includes -G wheel

Comment 2 Chris Lumens 2005-09-23 17:27:16 UTC
The "Users and Groups" tool can be used to set up groups after installation.  I
don't like the idea of implicitly adding a user to an important group such as
wheel.  In addition, we would like to be moving away from having a root user for
most things if at all possible.


Note You need to log in before you can comment on or make changes to this bug.